//////////////////////////////////////////////////////////
//   This class has been generated by TFile::MakeProject
//     (Wed Jan 16 20:01:43 2008 by ROOT version 5.17/09)
//      from the StreamerInfo in file ./files/alice_ESDs.root
//////////////////////////////////////////////////////////


#ifndef AliESDCaloCluster_h
#define AliESDCaloCluster_h
class AliESDCaloCluster;

#include "TObject.h"
#include "TArrayS.h"

class AliESDCaloCluster : public TObject {

public:
   Int_t     fID;         //Unique Id of the cluster
   Int_t     fClusterType;    //Flag for different clustering versions
   Bool_t    fEMCALCluster;    //Is this is an EMCAL cluster?
   Bool_t    fPHOSCluster;     //Is this is a PHOS cluster?
   Float_t   fGlobalPos[3];    //position in global coordinate system
   Float_t   fEnergy;          //energy measured by calorimeter
   Float_t   fDispersion;      //cluster dispersion, for shape analysis
   Float_t   fChi2;            //chi2 of cluster fit
   Float_t   fPID[10];         //"detector response probabilities" (for the PID)
   Float_t   fM20;             //2-nd moment along the main eigen axis
   Float_t   fM02;             //2-nd moment along the second eigen axis
   Float_t   fM11;             //2-nd mixed moment Mxy
   UShort_t  fNExMax;          //number of (Ex-)maxima before unfolding
   Float_t   fEmcCpvDistance;    //the distance from PHOS EMC rec.point to the closest CPV rec.point
   Float_t   fDistToBadChannel;    //Distance to nearest bad channel
   TArrayS*  fTracksMatched;       //Index of tracks close to cluster. First entry is the most likely match.
   TArrayS*  fLabels;              //list of primaries that generated the cluster, ordered in deposited energy.
   TArrayS*  fDigitAmplitude;      //digit energy (integer units) 
   TArrayS*  fDigitTime;           //time of this digit (integer units) 
   TArrayS*  fDigitIndex;          //calorimeter digit index 

   AliESDCaloCluster();
   virtual ~AliESDCaloCluster();

   ClassDef(AliESDCaloCluster,5); // Generated by MakeProject.
};
#endif
