//////////////////////////////////////////////////////////
//   This class has been generated by TFile::MakeProject
//     (Wed Jan 16 20:01:43 2008 by ROOT version 5.17/09)
//      from the StreamerInfo in file ./files/alice_ESDs.root
//////////////////////////////////////////////////////////


#ifndef AliESDtrack_h
#define AliESDtrack_h
class AliESDtrack;

#include "AliExternalTrackParam.h"
#include "TBits.h"

class AliESDtrack : public AliExternalTrackParam {

public:
   ULong_t   fFlags;      //Reconstruction status flags 
   Int_t     fLabel;      //Track label
   Int_t     fID;         //Unique ID of the track
   Float_t   fTrackLength;    //Track length
   Float_t   fD;              //Impact parameter in XY plane
   Float_t   fZ;              //Impact parameter in Z
   Float_t   fCdd;            //
   Float_t   fCdz;            //
   Float_t   fCzz;            //Covariance matrix of the impact parameters 
   Float_t   fTrackTime[5];    //TOFs estimated by the tracking
   Float_t   fR[5];            //combined "detector response probability"
   Int_t     fStopVertex;      //Index of the stop vertex
   AliExternalTrackParam* fCp;              //Track parameters constrained to the primary vertex
   Double32_t             fCchi2;           //chi2 at the primary vertex
   AliExternalTrackParam* fIp;              //Track parameters at the first measured point (TPC)
   AliExternalTrackParam* fOp;              //Track parameters at the last measured point (TPC or TRD) 
   Float_t                fITSchi2;         //chi2 in the ITS
   Int_t                  fITSncls;         //number of clusters assigned in the ITS
   UChar_t                fITSClusterMap;    //map of clusters, one bit per a layer 
   Float_t                fITSsignal;        //detector's PID signal
   Float_t                fITSr[5];          //"detector response probabilities" (for the PID)
   Int_t                  fITSLabel;         //label according TPC
   Float_t                fTPCchi2;          //chi2 in the TPC
   Int_t                  fTPCncls;          //number of clusters assigned in the TPC
   UShort_t               fTPCnclsF;         //number of findable clusters in the TPC
   TBits                  fTPCClusterMap;    //Map of clusters, one bit per padrow; 1 if has a cluster on given padrow
   Float_t                fTPCsignal;        //detector's PID signal
   UShort_t               fTPCsignalN;       //number of points used for dEdx
   Float_t                fTPCsignalS;       //RMS of dEdx measurement
   Float_t                fTPCr[5];          //"detector response probabilities" (for the PID)
   Int_t                  fTPCLabel;         //label according TPC
   Float_t                fTPCPoints[4];     //TPC points -first, max. dens, last and max density
   Int_t                  fKinkIndexes[3];    //array of indexes of posible kink candidates 
   Int_t                  fV0Indexes[3];      //array of indexes of posible kink candidates 
   Float_t                fTRDchi2;           //chi2 in the TRD
   UChar_t                fTRDncls;           //number of clusters assigned in the TRD
   UChar_t                fTRDncls0;          //number of clusters assigned in the TRD before first material cross
   Float_t                fTRDsignal;         //detector's PID signal
   Float_t                fTRDsignals[6][3];    //TRD signals from all six planes in 3 slices each
   Int_t                  fTRDTimBin[6];        //Time bin of Max cluster from all six planes
   Float_t                fTRDr[5];             //"detector response probabilities" (for the PID)
   UChar_t                fTRDpidQuality;       //TRD PID quality according to number of planes. 6 is the best
   Int_t                  fTRDLabel;            //label according TRD
   Float_t                fTRDQuality;          //trd quality factor for TOF
   Float_t                fTRDBudget;           //trd material budget
   Float_t                fTOFchi2;             //chi2 in the TOF
   Int_t                  fTOFindex;            //index of the assigned TOF cluster
   Int_t                  fTOFCalChannel;       //Channel Index of the TOF Signal 
   Float_t                fTOFsignal;           //detector's PID signal
   Float_t                fTOFsignalToT;        //detector's ToT signal
   Float_t                fTOFsignalRaw;        //detector's uncorrected time signal
   Float_t                fTOFsignalDz;         //local z  of track's impact on the TOF pad 
   Float_t                fTOFr[5];             //"detector response probabilities" (for the PID)
   Int_t                  fTOFLabel[3];         //TOF label 
   Float_t                fHMPIDchi2;           //chi2 in the HMPID
   Int_t                  fHMPIDqn;             //1000000*QDC + number of photon clusters
   Int_t                  fHMPIDcluIdx;         //1000000*chamber id + cluster idx of the assigned MIP cluster
   Float_t                fHMPIDsignal;         //HMPID PID signal (Theta ckov, rad)
   Float_t                fHMPIDr[5];           //"detector response probabilities" (for the PID)
   Float_t                fHMPIDtrkTheta;       //theta of the track extrapolated to the HMPID, LORS
   Float_t                fHMPIDtrkPhi;         //phi of the track extrapolated to the HMPID, LORS
   Float_t                fHMPIDtrkX;           //x of the track impact, LORS 
   Float_t                fHMPIDtrkY;           //y of the track impact, LORS 
   Float_t                fHMPIDmipX;           //x of the MIP in LORS
   Float_t                fHMPIDmipY;           //y of the MIP in LORS
   Int_t                  fEMCALindex;          //index of associated EMCAL cluster (AliESDCaloCluster)

   AliESDtrack();
   virtual ~AliESDtrack();

   ClassDef(AliESDtrack,38); // Generated by MakeProject.
};
#endif
